ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

TcCanonical

# Documentation

canonicalize :: Ct -> TcS (StopOrContinue Ct) Source

unifyDerived :: CtLoc -> Role -> Pair TcType -> TcS () Source

data StopOrContinue a Source

Constructors

ContinueWith a |
Stop CtEvidence SDoc |

Instances

Functor StopOrContinue |
Outputable a => Outputable (StopOrContinue a) |

stopWith :: CtEvidence -> String -> TcS (StopOrContinue a) Source

continueWith :: a -> TcS (StopOrContinue a) Source